Bug 1281959 - [abrt] gqrx: gr::hier_block2::~hier_block2(): gqrx killed by SIGABRT
[abrt] gqrx: gr::hier_block2::~hier_block2(): gqrx killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gqrx (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Olsthoorn
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8e9de380fa4eaff5a86ad193ac4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 17:05 EST by madstitz
Modified: 2016-12-20 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:52:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.36 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: core_backtrace (13.07 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: dso_list (17.82 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: environ (1.50 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: maps (95.58 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: mountinfo (4.52 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: open_fds (1.88 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details
File: var_log_messages (8.94 KB, text/plain)
2015-11-13 17:05 EST, madstitz
no flags Details

  None (edit)
Description madstitz 2015-11-13 17:05:31 EST
Version-Release number of selected component:
gqrx-2.3.2-12.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gqrx
crash_function: gr::hier_block2::~hier_block2
executable:     /usr/bin/gqrx
global_pid:     20240
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gr::hier_block2::~hier_block2 at /usr/src/debug/gnuradio-3.7.8/gnuradio-runtime/lib/hier_block2.cc:60
 #7 file_source_c::file_source_c at /usr/src/debug/gr-osmosdr-0.1.3/lib/file/file_source_c.cc:44
 #8 make_file_source_c at /usr/src/debug/gr-osmosdr-0.1.3/lib/file/file_source_c.cc:38
 #9 source_impl::source_impl at /usr/src/debug/gr-osmosdr-0.1.3/lib/source_impl.cc:247
 #10 osmosdr::source::make at /usr/src/debug/gr-osmosdr-0.1.3/lib/source_impl.cc:93
 #11 receiver::set_input_device at applications/gqrx/receiver.cpp:191
 #12 MainWindow::stopIqPlayback at applications/gqrx/mainwindow.cpp:1377
 #13 MainWindow::qt_static_metacall at moc_mainwindow.cpp:202
 #14 QMetaObject::activate at kernel/qobject.cpp:3567
 #15 CIqTool::stopPlayback at moc_iq_tool.cpp:158
Comment 1 madstitz 2015-11-13 17:05:36 EST
Created attachment 1093924 [details]
File: backtrace
Comment 2 madstitz 2015-11-13 17:05:38 EST
Created attachment 1093925 [details]
File: cgroup
Comment 3 madstitz 2015-11-13 17:05:39 EST
Created attachment 1093926 [details]
File: core_backtrace
Comment 4 madstitz 2015-11-13 17:05:41 EST
Created attachment 1093927 [details]
File: dso_list
Comment 5 madstitz 2015-11-13 17:05:42 EST
Created attachment 1093928 [details]
File: environ
Comment 6 madstitz 2015-11-13 17:05:44 EST
Created attachment 1093929 [details]
File: limits
Comment 7 madstitz 2015-11-13 17:05:46 EST
Created attachment 1093930 [details]
File: maps
Comment 8 madstitz 2015-11-13 17:05:47 EST
Created attachment 1093931 [details]
File: mountinfo
Comment 9 madstitz 2015-11-13 17:05:49 EST
Created attachment 1093932 [details]
File: open_fds
Comment 10 madstitz 2015-11-13 17:05:50 EST
Created attachment 1093933 [details]
File: proc_pid_status
Comment 11 madstitz 2015-11-13 17:05:52 EST
Created attachment 1093934 [details]
File: var_log_messages
Comment 12 Dave Olsthoorn 2016-05-19 12:26:10 EDT
Is this still an issue with the new version?
Comment 13 madstitz 2016-05-30 08:06:46 EDT
sorry, can't verify, as I don't have access to the hardware (DVB-T stick) anymore.
Comment 14 Fedora End Of Life 2016-11-24 08:24:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:52:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.